<template>
  <div class="wrap">
    Child1:{{msg}}
    <button @click="send">点击</button>
  </div>
</template>

<script>

export default {
  name: 'Child1',
  props:{
    eventBus:Object
  },
  data () {
    return {
      msg: 'Child1 Msg'
    }
  },
  methods:{
    send(){
      this.eventBus.$emit('send-a',this.msg);
    }
  }
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>

</style>
